### Signal

# Soup Session::request-unqueued

#### Declaration

    void
    request_unqueued (
      SoupSession* self,
      SoupMessage* msg,
      gpointer user_data
    )

#### Description [src]

Emitted when a request is removed from `session`‘s queue, indicating that `session` is done with it.

See `SoupSession::request-queued` for a detailed description of the message lifecycle within a session.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.

#### Parameters

`msg`

  Type: `SoupMessage`

  The request that was unqueued.

  The data is owned by the caller of the function.